import {
    service,baseUrl2
} from '../utils/request';


//获取APP 位置信息
export function getAppVersion() {
    return baseUrl2({
        url: '/resource/namespace/app',
        method: 'get',
    });
};

//获取APP 位置信息
export function getAPPLocation(data) {
    return service({
        url: '/mosty-wzzx/tbWzXfwz/locationReceive',
        method: 'post',
        data,
        headers: {
            Authorization: getStorage('token')
        }
    });
};

//查询队伍动态接口
export function getDwdt(params) {
    return service({
        url: '/mosty-qwzx/tbQwSpsCsdw/getList',
        method: 'get',
        params
    });
};

//查询队伍动态接口
export function changeHdgj(data) {
    return service({
        url: '/mosty-qwzx/tbQwSpsCsdw/changeHdgj',
        method: 'post',
        data
    });
};
//住地统计
export function getZdTotal(params) {
    return service({
        url: '/mosty-qwzx/zdgz/cgzd/zdtj',
        method: 'get',
        params
    });
};

//线路统计
export function getLineTotal(params) {
    return service({
        url: '/mosty-qwzx/xlqk/qwtj',
        method: 'get',
        params
    });
};
//获取警力布防
export function getJlbfData(params) {
    return service({
        url: '/mosty-qwzx/zdgz/jlbf/bftj',
        method: 'get',
        params
    });
};
//获取周边预警列表
export function getZbyjData(params) {
    return service({
        url: '/mosty-yjzl/yjxx/zbyj/zbyjtj',
        method: 'get',
        params
    });
};

//获取base64图片
export function getBase64(params) {
    return service({
        url: '/mosty-base/image/base64',
        method: 'get',
        params
    });
};

//获取base64图片
export function getYjryTack(params) {
    return service({
        url: 'mosty-yjzl/yjxx/zbyj/zbyjbfylb',
        method: 'get',
        params
    });
};
//获取案由所有层级
export function getAyAllData(params) {
    return service({
        url: 'mosty-sjzx/tbCase/code',
        method: 'get',
        params
    });
};

// 获取安保风采列表
export function getAbfcListData(params) {
    return service({
        url: '/mosty-jcgl/abfc',
        method: 'get',
        params
    })
}

// 获取安保风采详情
export function getAbfcDetaiData(id) {
    return service({
        url: '/mosty-jcgl/abfc/' + id,
        method: 'get',
    })
}